QsciLexerBatch Class Reference

`#include <qscilexerbatch.h>`

Inherits QsciLexer.

## Public Types

enum | { Default = 0 , Comment = 1 , Keyword = 2 , Label = 3 , HideCommandChar = 4 , ExternalCommand = 5 , Variable = 6 , Operator = 7 }

## Public Member Functions

| QsciLexerBatch (QObject *parent=0)
virtual | ~QsciLexerBatch ()
const char * | language () const
const char * | lexer () const
const char * | wordCharacters () const
bool | caseSensitive () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual void | refreshProperties ()
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexer
virtual bool | readProperties (QSettings &qs, const QString &prefix)
virtual bool | writeProperties (QSettings &qs, const QString &prefix) const
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerBatch class encapsulates the Scintilla batch file lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the batch file lexer.

Enumerator
Default | The default.
Comment | A comment.
Keyword | A keyword.
Label | A label.
HideCommandChar | An hide command character.
ExternalCommand | An external command .
Variable | A variable.
Operator | An operator.

## Constructor & Destructor Documentation

## QsciLexerBatch()

QsciLexerBatch::QsciLexerBatch | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerBatch with parent parent. parent is typically the QsciScintilla instance.

Referenced by description().

## Member Function Documentation

## language()

const char * QsciLexerBatch::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerBatch::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## wordCharacters()

const char * QsciLexerBatch::wordCharacters | ( |  | ) | const

virtual

Returns the string of characters that comprise a word.

Reimplemented from QsciLexer.

## caseSensitive()

bool QsciLexerBatch::caseSensitive | ( |  | ) | const

virtual

Returns true if the language is case sensitive. The default is true.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerBatch::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerBatch::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerBatch::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerBatch::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerBatch::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerBatch::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

References QsciLexerBatch().